ZWTextInternal::Section Struct Reference

Internal: struct used to store a section of a ZWText. More...

## Public Member Functions

| Section ()
| constructor More...

## Public Attributes

int | m_id
| the section id More...
MWAWEntry | m_pos
| the text position More...
std::string | m_name
| the section name More...
std::map< long, Font > | m_idFontMap
| a map pos -> font More...
bool | m_parsed
| true if the section is parsed More...

## Detailed Description

Internal: struct used to store a section of a ZWText.

## Constructor & Destructor Documentation

ZWTextInternal::Section::Section | ( |  | ) |

inline

constructor

## Member Data Documentation

int ZWTextInternal::Section::m_id

the section id

Referenced by ZWText::sendText().

std::map<long,Font> ZWTextInternal::Section::m_idFontMap

a map pos -> font

Referenced by ZWText::readSectionFonts(), and ZWText::sendText().

std::string ZWTextInternal::Section::m_name

the section name

Referenced by ZWText::readSectionFonts(), and ZWText::sendText().

bool ZWTextInternal::Section::m_parsed

mutable

true if the section is parsed

Referenced by ZWText::sendText().

MWAWEntry ZWTextInternal::Section::m_pos

the text position

Referenced by ZWText::computePositions(), ZWText::createZones(), ZWText::sendMainText(), and ZWText::sendText().

The documentation for this struct was generated from the following file:

- ZWText.cxx